/*  monkey-media
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: monkey-media-audio-reencoder.h,v 1.1 2002/10/18 21:29:50 jbaayen Exp $
 */

#ifndef __MONKEY_MEDIA_AUDIO_REENCODER_H
#define __MONKEY_MEDIA_AUDIO_REENCODER_H

#include <glib-object.h>

#include "monkey-media-audio-stream.h"
#include "monkey-media-audio-quality.h"

G_BEGIN_DECLS

typedef enum
{
	MONKEY_MEDIA_AUDIO_REENCODER_ERROR_ELEMENT_MISSING
} MonkeyMediaAudioReencoderError;

#define MONKEY_MEDIA_AUDIO_REENCODER_ERROR (monkey_media_audio_reencoder_error_quark ())

GQuark monkey_media_audio_reencoder_error_quark (void);

#define MONKEY_MEDIA_TYPE_AUDIO_REENCODER         (monkey_media_audio_reencoder_get_type ())
#define MONKEY_MEDIA_AUDIO_REENCODER(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), MONKEY_MEDIA_TYPE_AUDIO_REENCODER, MonkeyMediaAudioReencoder))
#define MONKEY_MEDIA_AUDIO_REENCODER_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), MONKEY_MEDIA_TYPE_AUDIO_REENCODER, MonkeyMediaAudioReencoderClass))
#define MONKEY_MEDIA_IS_AUDIO_REENCODER(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), MONKEY_MEDIA_TYPE_AUDIO_REENCODER))
#define MONKEY_MEDIA_IS_AUDIO_REENCODER_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), MONKEY_MEDIA_TYPE_AUDIO_REENCODER))
#define MONKEY_MEDIA_AUDIO_REENCODER_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), MONKEY_MEDIA_TYPE_AUDIO_REENCODER, MonkeyMediaAudioReencoderClass))

typedef struct MonkeyMediaAudioReencoderPrivate MonkeyMediaAudioReencoderPrivate;

typedef struct
{
	MonkeyMediaAudioStream parent;

	MonkeyMediaAudioReencoderPrivate *priv;
} MonkeyMediaAudioReencoder;

typedef struct
{
	MonkeyMediaAudioStreamClass parent_class;
} MonkeyMediaAudioReencoderClass;

GType                      monkey_media_audio_reencoder_get_type     (void);

MonkeyMediaAudioReencoder *monkey_media_audio_reencoder_new          (const char *source_uri,
								      const char *target_uri,
								      MonkeyMediaAudioQuality target_quality,
							              GError **error);

float                      monkey_media_audio_reencoder_get_progress (MonkeyMediaAudioReencoder *ma);

G_END_DECLS

#endif /* __MONKEY_MEDIA_AUDIO_REENCODER_H */
