/*  monkey-sound
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: monkey-media-audio-stream.h,v 1.5 2002/05/03 21:00:01 jbaayen Exp $
 */

#ifndef __MONKEY_MEDIA_AUDIO_STREAM_H
#define __MONKEY_MEDIA_AUDIO_STREAM_H

#include <glib-object.h>

#include "monkey-media-stream.h"

G_BEGIN_DECLS

#define MONKEY_MEDIA_TYPE_AUDIO_STREAM         (monkey_media_audio_stream_get_type ())
#define MONKEY_MEDIA_AUDIO_STREAM(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), MONKEY_MEDIA_TYPE_AUDIO_STREAM, MonkeyMediaAudioStream))
#define MONKEY_MEDIA_AUDIO_STREAM_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), MONKEY_MEDIA_TYPE_AUDIO_STREAM, MonkeyMediaAudioStreamClass))
#define MONKEY_MEDIA_IS_AUDIO_STREAM(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), MONKEY_MEDIA_TYPE_AUDIO_STREAM))
#define MONKEY_MEDIA_IS_AUDIO_STREAM_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), MONKEY_MEDIA_TYPE_AUDIO_STREAM))
#define MONKEY_MEDIA_AUDIO_STREAM_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), MONKEY_MEDIA_TYPE_AUDIO_STREAM, MonkeyMediaAudioStreamClass))

typedef struct MonkeyMediaAudioStreamPrivate MonkeyMediaAudioStreamPrivate;

typedef struct
{
	MonkeyMediaStream parent;

	MonkeyMediaAudioStreamPrivate *priv;
} MonkeyMediaAudioStream;

typedef struct
{
	MonkeyMediaStreamClass parent_class;
} MonkeyMediaAudioStreamClass;

GType                   monkey_media_audio_stream_get_type           (void);

MonkeyMediaAudioStream *monkey_media_audio_stream_new                (const char *uri,
							              GError **error);

void                    monkey_media_audio_stream_set_volume         (MonkeyMediaAudioStream *ma, 
					                              float volume);

float                   monkey_media_audio_stream_get_volume         (MonkeyMediaAudioStream *ma);

void                    monkey_media_audio_stream_set_mute           (MonkeyMediaAudioStream *ma, 
					                              gboolean mute);

gboolean                monkey_media_audio_stream_get_mute           (MonkeyMediaAudioStream *ma);

G_END_DECLS

#endif /* __MONKEY_MEDIA_AUDIO_STREAM_H */
